import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnGateway {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST/PROD...
    * @type { string }
    */
    envCode?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * K8S集群ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * 配置中心代码多个用逗号隔开
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * 镜像id
    * @type { string }
    */
    imageId?: string;
    /**
    * repositoryName:tag
    * @type { string }
    */
    imageInfo?: string;
    /**
    * 容器启动脚本：sleep 6000
    * @type { string }
    */
    startScript?: string;
    /**
    * 容器规格id
    * @type { string }
    */
    specTemplateId?: string;
    /**
    * 弹性伸缩模板ID
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 最小实例数
    * @type { number }
    */
    minInstance?: number;
    /**
    * 最大实例数
    * @type { number }
    */
    maxInstance?: number;
    /**
    * cpu
    * @type { string }
    */
    cpu?: string;
    /**
    * 内存
    * @type { string }
    */
    memory?: string;
    /**
    * 域名
    * @type { string }
    */
    domain?: string;
    /**
    * URI
    * @type { string }
    */
    uri?: string;
    /**
    * 应用选项配置JSON
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * 0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署日志信息
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * k8s_name
    * @type { string }
    */
    k8sName?: string;
    /**
    * image_name
    * @type { string }
    */
    imageName?: string;
    /**
    * spec_template_name
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * metrics_template_name
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * 端口映射
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * 0:固定实例，1:弹性实例
    * @type { string }
    */
    elasticType?: string;
    /**
    * 阿里云/华为云SLBID
    * @type { string }
    */
    cnSlbId?: string;
    /**
    * deploy_tag
    * @type { string }
    */
    deployTag?: string;
    /**
    * extend field in CnSLB
    * 名称
    * @type { string }
    */
    slbName?: string;
    /**
    * extend field in CnSLB
    * 服务地址
    * @type { string }
    */
    slbIp?: string;
    /**
    * 子表 CnLabelRef
    * @type { CnLabelRef[] }
    */
    cnLabelRef?: CnLabelRef[];
    /**
    * 子表 CnK8sPod
    * @type { CnK8sPod[] }
    */
    cnK8sPod?: CnK8sPod[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class CnGatewayMI {
    static get ID(): FieldInfo;
    static get SERVICE_CENTER_ID(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get ENV_ID(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get CONFIG_CENTER_CODE(): FieldInfo;
    static get IMAGE_ID(): FieldInfo;
    static get IMAGE_INFO(): FieldInfo;
    static get START_SCRIPT(): FieldInfo;
    static get SPEC_TEMPLATE_ID(): FieldInfo;
    static get METRICS_TEMPLATE_ID(): FieldInfo;
    static get MIN_INSTANCE(): FieldInfo;
    static get MAX_INSTANCE(): FieldInfo;
    static get CPU(): FieldInfo;
    static get MEMORY(): FieldInfo;
    static get DOMAIN(): FieldInfo;
    static get URI(): FieldInfo;
    static get APP_OPTIONS_CONFIG(): FieldInfo;
    static get DEPLOY_STATUS(): FieldInfo;
    static get DEPLOY_MSG(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get SERVICE_CENTER_NAME(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get K8S_NAME(): FieldInfo;
    static get IMAGE_NAME(): FieldInfo;
    static get SPEC_TEMPLATE_NAME(): FieldInfo;
    static get METRICS_TEMPLATE_NAME(): FieldInfo;
    static get IMAGE_PORT_MAPPING(): FieldInfo;
    static get ELASTIC_TYPE(): FieldInfo;
    static get CN_SLB_ID(): FieldInfo;
    static get DEPLOY_TAG(): FieldInfo;
    static get SLB_NAME(): FieldInfo;
    static get SLB_IP(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnLabel {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 描述
    * @type { string }
    */
    describe?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class CnLabelMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get DESCRIBE(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnDeployLog {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * k8s_id
    * @type { string }
    */
    k8sId?: string;
    /**
    * pod_id
    * @type { string }
    */
    podId?: string;
    /**
    * pod_ip
    * @type { string }
    */
    podIp?: string;
    /**
    * pvc_id
    * @type { string }
    */
    pvcId?: string;
    /**
    * pvc状态
    * @type { number }
    */
    pvcStatus?: number;
    /**
    * 启动时间
    * @type { Date }
    */
    startTime?: Date;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 部署ID
    * @type { string }
    */
    deployId?: string;
}
export declare class CnDeployLogMI {
    static get ID(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get POD_ID(): FieldInfo;
    static get POD_IP(): FieldInfo;
    static get PVC_ID(): FieldInfo;
    static get PVC_STATUS(): FieldInfo;
    static get START_TIME(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get DEPLOY_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnProjectContext {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 项目主键
    * @type { string }
    */
    projectId?: string;
    /**
    * 网关
    * @type { string }
    */
    gateway?: string;
    /**
    * URI
    * @type { string }
    */
    uri?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST/PROD...
    * @type { string }
    */
    envCode?: string;
    /**
    * extend field in CnGateway
    * 阿里云/华为云SLBID
    * @type { string }
    */
    cnSlbId?: string;
    /**
    * extend field in CnGateway
    * 服务地址
    * @type { string }
    */
    slbIp?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class CnProjectContextMI {
    static get ID(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get GATEWAY(): FieldInfo;
    static get URI(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get ENV_ID(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get CN_SLB_ID(): FieldInfo;
    static get SLB_IP(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnOpsLog {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 记录实体ID
    * @type { string }
    */
    entityId?: string;
    /**
    * 操作前记录
    * @type { string }
    */
    opsBefore?: string;
    /**
    * 操作后记录
    * @type { string }
    */
    opsAfter?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class CnOpsLogMI {
    static get ID(): FieldInfo;
    static get ENTITY_ID(): FieldInfo;
    static get OPS_BEFORE(): FieldInfo;
    static get OPS_AFTER(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnBaseService {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST/PROD...
    * @type { string }
    */
    envCode?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * K8S集群ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * 配置中心代码多个用逗号隔开
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * 镜像id
    * @type { string }
    */
    imageId?: string;
    /**
    * repositoryName:tag
    * @type { string }
    */
    imageInfo?: string;
    /**
    * 容器启动脚本：/opt/app/start.sh
    * @type { string }
    */
    startScript?: string;
    /**
    * 内外端口一致，填写需要映射端口（例：8080,6379）
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * SLB设置主键
    * @type { string }
    */
    cnSlbId?: string;
    /**
    * slb1:pod1,slb2:pod2(例：80:81,33:38)
    * @type { string }
    */
    slbPortMapping?: string;
    /**
    * 容器规格id
    * @type { string }
    */
    specTemplateId?: string;
    /**
    * 弹性伸缩模板ID
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 1
    * @type { number }
    */
    minInstance?: number;
    /**
    * 8
    * @type { number }
    */
    maxInstance?: number;
    /**
    * cpu
    * @type { string }
    */
    cpu?: string;
    /**
    * 内存
    * @type { string }
    */
    memory?: string;
    /**
    * 进程关键字
    * @type { string }
    */
    progressKeyword?: string;
    /**
    * 应用选项配置JSON
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * 0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 部署日志信息
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * k8s_name
    * @type { string }
    */
    k8sName?: string;
    /**
    * image_name
    * @type { string }
    */
    imageName?: string;
    /**
    * spec_template_name
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * metrics_template_name
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * deploy_tag
    * @type { string }
    */
    deployTag?: string;
    /**
    * extend field in CnSLB
    * 名称
    * @type { string }
    */
    slbName?: string;
    /**
    * 子表 CnLabelRef
    * @type { CnLabelRef[] }
    */
    cnLabelRef?: CnLabelRef[];
    /**
    * 子表 CnK8sPod
    * @type { CnK8sPod[] }
    */
    cnK8sPod?: CnK8sPod[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class CnBaseServiceMI {
    static get ID(): FieldInfo;
    static get SERVICE_CENTER_ID(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get ENV_ID(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get CONFIG_CENTER_CODE(): FieldInfo;
    static get IMAGE_ID(): FieldInfo;
    static get IMAGE_INFO(): FieldInfo;
    static get START_SCRIPT(): FieldInfo;
    static get IMAGE_PORT_MAPPING(): FieldInfo;
    static get CN_SLB_ID(): FieldInfo;
    static get SLB_PORT_MAPPING(): FieldInfo;
    static get SPEC_TEMPLATE_ID(): FieldInfo;
    static get METRICS_TEMPLATE_ID(): FieldInfo;
    static get MIN_INSTANCE(): FieldInfo;
    static get MAX_INSTANCE(): FieldInfo;
    static get CPU(): FieldInfo;
    static get MEMORY(): FieldInfo;
    static get PROGRESS_KEYWORD(): FieldInfo;
    static get APP_OPTIONS_CONFIG(): FieldInfo;
    static get DEPLOY_STATUS(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get DEPLOY_MSG(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get SERVICE_CENTER_NAME(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get K8S_NAME(): FieldInfo;
    static get IMAGE_NAME(): FieldInfo;
    static get SPEC_TEMPLATE_NAME(): FieldInfo;
    static get METRICS_TEMPLATE_NAME(): FieldInfo;
    static get DEPLOY_TAG(): FieldInfo;
    static get SLB_NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnSLB {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * SLB主键id
    * @type { string }
    */
    slbId?: string;
    /**
    * 0：内网，1：外网
    * @type { number }
    */
    type?: number;
    /**
    * 服务地址
    * @type { string }
    */
    serviceIp?: string;
    /**
    * 配置信息
    * @type { any }
    */
    configuration?: any;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 0:阿里云,1:华为云
    * @type { string }
    */
    cloudProvider?: string;
    /**
    * SLB URL
    * @type { string }
    */
    url?: string;
}
export declare class CnSLBMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get SLB_ID(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get SERVICE_IP(): FieldInfo;
    static get CONFIGURATION(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CLOUD_PROVIDER(): FieldInfo;
    static get URL(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnLabelRef {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 标签主键
    * @type { string }
    */
    labelId?: string;
    /**
    * 业务关联主键
    * @type { string }
    */
    bussinessId?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * extend field in CnLabel
    * 名称
    * @type { string }
    */
    labelName?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class CnLabelRefMI {
    static get ID(): FieldInfo;
    static get LABEL_ID(): FieldInfo;
    static get BUSSINESS_ID(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get LABEL_NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnRunningTarget {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 部署ID
    * @type { string }
    */
    deployId?: string;
    /**
    * K8S环境ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * 网关ID
    * @type { string }
    */
    gatewayId?: string;
    /**
    * 网关API地址
    * @type { string }
    */
    gatewayAdminUrl?: string;
    /**
    * k8s_pod_id
    * @type { string }
    */
    k8sPodId?: string;
    /**
    * pod_id
    * @type { string }
    */
    podId?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * IP
    * @type { string }
    */
    ip?: string;
    /**
    * 端口号
    * @type { string }
    */
    port?: string;
    /**
    * 云厂商
    * @type { string }
    */
    cloudProvider?: string;
    /**
    * 最近活跃时间
    * @type { Date }
    */
    lastActiveTime?: Date;
    /**
    * 最近轮询时间
    * @type { Date }
    */
    lastPollingTime?: Date;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class CnRunningTargetMI {
    static get ID(): FieldInfo;
    static get DEPLOY_ID(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get GATEWAY_ID(): FieldInfo;
    static get GATEWAY_ADMIN_URL(): FieldInfo;
    static get K8S_POD_ID(): FieldInfo;
    static get POD_ID(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get IP(): FieldInfo;
    static get PORT(): FieldInfo;
    static get CLOUD_PROVIDER(): FieldInfo;
    static get LAST_ACTIVE_TIME(): FieldInfo;
    static get LAST_POLLING_TIME(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnK8sPod {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 部署ID
    * @type { string }
    */
    deployId?: string;
    /**
    * IP地址
    * @type { string }
    */
    ip?: string;
    /**
    * POD_ID
    * @type { string }
    */
    podId?: string;
    /**
    * K8S_ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * CNBS-基础服务、CNGATEWAY-网关服务、CNPRJ-原生项目
    * @type { string }
    */
    appType?: string;
    /**
    * 环境变量
    * @type { string }
    */
    envMap?: string;
    /**
    * Pending、Running、Succeeded、Failed、Unknown
    * @type { string }
    */
    status?: string;
    /**
    * 最近活跃时间
    * @type { Date }
    */
    lastActiveTime?: Date;
    /**
    * 最近轮询时间
    * @type { Date }
    */
    lastPollingTime?: Date;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 云厂商
    * @type { string }
    */
    cloudProvider?: string;
}
export declare class CnK8sPodMI {
    static get ID(): FieldInfo;
    static get DEPLOY_ID(): FieldInfo;
    static get IP(): FieldInfo;
    static get POD_ID(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get APP_TYPE(): FieldInfo;
    static get ENV_MAP(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get LAST_ACTIVE_TIME(): FieldInfo;
    static get LAST_POLLING_TIME(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CLOUD_PROVIDER(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnBuildTool {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * 名称：maven、gradle、nodejs、go
    * @type { string }
    */
    name?: string;
    /**
    * 版本号：3.6.5、2.6、14、...
    * @type { string }
    */
    version?: string;
    /**
    * deleted
    * @type { string }
    */
    deleted?: string;
    /**
    * create_user_id
    * @type { string }
    */
    createUserId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_user_id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class CnBuildToolMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get VERSION(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnProjectDeploy {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 服务中心名称
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST/PROD...
    * @type { string }
    */
    envCode?: string;
    /**
    * K8S集群ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * K8S集群名称
    * @type { string }
    */
    k8sName?: string;
    /**
    * 项目ID
    * @type { string }
    */
    projectId?: string;
    /**
    * 网关ID
    * @type { string }
    */
    gatewayId?: string;
    /**
    * 项目版本
    * @type { string }
    */
    projectVersion?: string;
    /**
    * 1-jar,2-war
    * @type { number }
    */
    packType?: number;
    /**
    * 镜像id
    * @type { string }
    */
    imageId?: string;
    /**
    * 镜像名称
    * @type { string }
    */
    imageName?: string;
    /**
    * repositoryName:tag
    * @type { string }
    */
    imageInfo?: string;
    /**
    * 容器启动脚本：sleep 6000
    * @type { string }
    */
    startScript?: string;
    /**
    * 8080
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * OSS文件名称
    * @type { string }
    */
    ossFileName?: string;
    /**
    * 环境变量JSON
    * @type { string }
    */
    envJson?: string;
    /**
    * 容器规格id
    * @type { string }
    */
    specTemplateId?: string;
    /**
    * 弹性伸缩模板ID
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 弹性伸缩模板名称
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * 容器规格名称
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * 1
    * @type { number }
    */
    minInstance?: number;
    /**
    * 8
    * @type { number }
    */
    maxInstance?: number;
    /**
    * cpu
    * @type { string }
    */
    cpu?: string;
    /**
    * 内存
    * @type { string }
    */
    memory?: string;
    /**
    * 进程关键字
    * @type { string }
    */
    progressKeyword?: string;
    /**
    * 应用选项配置JSON
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * Kafka配置
    * @type { string }
    */
    kafkaConfig?: string;
    /**
    * KafakID
    * @type { string }
    */
    kafakId?: string;
    /**
    * 0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署日志信息
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 部署标记
    * @type { string }
    */
    deployTag?: string;
    /**
    * 灰度流量
    * @type { number }
    */
    flow?: number;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class CnProjectDeployMI {
    static get ID(): FieldInfo;
    static get SERVICE_CENTER_ID(): FieldInfo;
    static get SERVICE_CENTER_NAME(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get ENV_ID(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get K8S_NAME(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get GATEWAY_ID(): FieldInfo;
    static get PROJECT_VERSION(): FieldInfo;
    static get PACK_TYPE(): FieldInfo;
    static get IMAGE_ID(): FieldInfo;
    static get IMAGE_NAME(): FieldInfo;
    static get IMAGE_INFO(): FieldInfo;
    static get START_SCRIPT(): FieldInfo;
    static get IMAGE_PORT_MAPPING(): FieldInfo;
    static get OSS_FILE_NAME(): FieldInfo;
    static get ENV_JSON(): FieldInfo;
    static get SPEC_TEMPLATE_ID(): FieldInfo;
    static get METRICS_TEMPLATE_ID(): FieldInfo;
    static get METRICS_TEMPLATE_NAME(): FieldInfo;
    static get SPEC_TEMPLATE_NAME(): FieldInfo;
    static get MIN_INSTANCE(): FieldInfo;
    static get MAX_INSTANCE(): FieldInfo;
    static get CPU(): FieldInfo;
    static get MEMORY(): FieldInfo;
    static get PROGRESS_KEYWORD(): FieldInfo;
    static get APP_OPTIONS_CONFIG(): FieldInfo;
    static get KAFKA_CONFIG(): FieldInfo;
    static get KAFAK_ID(): FieldInfo;
    static get DEPLOY_STATUS(): FieldInfo;
    static get DEPLOY_MSG(): FieldInfo;
    static get DEPLOY_TAG(): FieldInfo;
    static get FLOW(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnProject {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心主键
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 应用主键
    * @type { string }
    */
    appId?: string;
    /**
    * 项目代码
    * @type { string }
    */
    code?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 描述
    * @type { string }
    */
    describe?: string;
    /**
    * GitLab地址：
    * @type { string }
    */
    gitlabUrl?: string;
    /**
    * tapdId
    * @type { string }
    */
    tapdId?: string;
    /**
    * 健康检查url
    * @type { string }
    */
    healthyUrl?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主类
    * @type { string }
    */
    mainClass?: string;
    /**
    * 开发语言:Java、Nodejs、Go
    * @type { string }
    */
    language?: string;
    /**
    * 构建类型:jar、war、node、go
    * @type { string }
    */
    buildType?: string;
    /**
    * 构建输出路径地址
    * @type { string }
    */
    buildOutPath?: string;
    /**
    * 构建命令脚本
    * @type { string }
    */
    buildScript?: string;
    /**
    * 启动方式：0-java wrapper、1-springboot jar、2-tomcat、3-自定义shell
    * @type { number }
    */
    startType?: number;
    /**
    * 自定义启动脚本
    * @type { string }
    */
    startScript?: string;
    /**
    * 自定义启动参数：-Dxxxxxx=aaa
    * @type { string }
    */
    startParams?: string;
    /**
    * 构建工具ID
    * @type { string }
    */
    buildToolId?: string;
}
export declare class CnProjectMI {
    static get ID(): FieldInfo;
    static get SERVICE_CENTER_ID(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get DESCRIBE(): FieldInfo;
    static get GITLAB_URL(): FieldInfo;
    static get TAPD_ID(): FieldInfo;
    static get HEALTHY_URL(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get MAIN_CLASS(): FieldInfo;
    static get LANGUAGE(): FieldInfo;
    static get BUILD_TYPE(): FieldInfo;
    static get BUILD_OUT_PATH(): FieldInfo;
    static get BUILD_SCRIPT(): FieldInfo;
    static get START_TYPE(): FieldInfo;
    static get START_SCRIPT(): FieldInfo;
    static get START_PARAMS(): FieldInfo;
    static get BUILD_TOOL_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnProjectBuild {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * 项目ID
    * @type { string }
    */
    projectId?: string;
    /**
    * 版本ID
    * @type { string }
    */
    versionId?: string;
    /**
    * GIT commitId
    * @type { string }
    */
    commitId?: string;
    /**
    * 构建标签：b1、b2...
    * @type { string }
    */
    buildTag?: string;
    /**
    * 构建序号
    * @type { number }
    */
    buildSeq?: number;
    /**
    * 发布标签：1.0.0-Release
    * @type { string }
    */
    releaseTag?: string;
    /**
    * 发布状态：0-未发布、1-已发布
    * @type { string }
    */
    releaseStatus?: string;
    /**
    * 构建状态:0-待构建、1-构建成功、2-构建失败
    * @type { string }
    */
    buildStatus?: string;
    /**
    * 构建日志
    * @type { string }
    */
    buildLog?: string;
    /**
    * deleted
    * @type { string }
    */
    deleted?: string;
    /**
    * create_user_id
    * @type { string }
    */
    createUserId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
}
export declare class CnProjectBuildMI {
    static get ID(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get VERSION_ID(): FieldInfo;
    static get COMMIT_ID(): FieldInfo;
    static get BUILD_TAG(): FieldInfo;
    static get BUILD_SEQ(): FieldInfo;
    static get RELEASE_TAG(): FieldInfo;
    static get RELEASE_STATUS(): FieldInfo;
    static get BUILD_STATUS(): FieldInfo;
    static get BUILD_LOG(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-29 14:10
 */
export interface CnProjectVersion {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * 项目ID
    * @type { string }
    */
    projectId?: string;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 发布标签
    * @type { string }
    */
    releaseTag?: string;
    /**
    * 发布状态：0-未发布、1-已发布
    * @type { string }
    */
    releaseStatus?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * deleted
    * @type { string }
    */
    deleted?: string;
    /**
    * create_user_id
    * @type { string }
    */
    createUserId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 显示顺序
    * @type { number }
    */
    seqNo?: number;
}
export declare class CnProjectVersionMI {
    static get ID(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get VERSION_NO(): FieldInfo;
    static get RELEASE_TAG(): FieldInfo;
    static get RELEASE_STATUS(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get DELETED(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get SEQ_NO(): FieldInfo;
}
